{  
  "extends": "@adonisjs/tsconfig/tsconfig.app.json",
  "include": [
    "**/*",
    // "resources/**/*.ts",
    // "resources/**/*.d.ts",
    // "resources/**/*.vue"
  ],
  "exclude": [
    "node_modules",
    "build",
    "public",   
    "./resources/js/**/*.vue",
    "./resources/js/**/*.ts"
  ],
  // "exclude": ["./inertia/**/*"]
  "compilerOptions": {
    "allowJs": true,
    "outDir": "build",
    "rootDir": "./",
    "sourceMap": true,
    "experimentalDecorators": true,
    "strictPropertyInitialization": false,
    "target": "esnext",
    "skipLibCheck": true,
    "esModuleInterop": true,
    "allowSyntheticDefaultImports": true,
    "paths": {
      // "@/*": ["./resources/js/*.js"],
      //  "#resources/*": [
      //   "./resources/js/*.js"
      // ],
      "#controllers/*": [
        "./app/controllers/*.js"
      ],
      "#exceptions/*": [
        "./app/exceptions/*.js"
      ],
      "#models/*": [
        "./app/models/*.js"
      ],
      "#services/*": [
        "./app/services/*.js"
      ],
      "#listeners/*": [
        "./app/listeners/*.js"
      ],
      "#events/*": [
        "./app/events/*.js"
      ],
      "#middleware/*": [
        "./app/middleware/*.js"
      ],    
      "#validators/*": [
        "./app/validators/*.js"
      ],

      "#start/*": [
        "./start/*.js"
      ],
      "#config/*": [
        "./config/*.js"
      ],
      "#app/*": [
        "./app/*.js"
      ],
      "#database/*": [
        "./database/*.js"
      ],
      "#contracts/*": [
        "./contracts/*.js"
      ]
    },
    "types": [
      // "@eidellev/inertia-adonisjs",
      // "naive-ui/volar"
    ]
  },
 
  "files": ["./index.d.ts"]
}